Bug 1360968 (CVE-2015-8952) - CVE-2015-8952 kernel: mbcache code subject to softlockup DOS in cache management
Summary: CVE-2015-8952 kernel: mbcache code subject to softlockup DOS in cache management
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8952
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160822,reported=2...
Depends On: 1368919
Blocks: 1352636
TreeView+ depends on / blocked
 
Reported: 2016-07-28 05:10 UTC by Wade Mealing
Modified: 2019-06-11 11:13 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A design flaw was found in the file extended attribute handling of the Linux kernel's handling of cached attributes. Too many entries in the cache cause a soft lockup while attempting to iterate the cache and access relevant locks.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:56:42 UTC


Attachments (Terms of Use)

Description Wade Mealing 2016-07-28 05:10:20 UTC
A design flaw was found in the file extended attribute handling of the linux kernels handling of cached attributes.  Too many entries in the cache cause a soft lockup while attempting to iterate the cache and access relevant locks.

Upstream has replaced the mbcache code with an updated version which was not a patch but a clear-cut reimplentation of the code.

Upstream discussion:
https://lwn.net/Articles/668718/

Bugzilla kernel submission:
https://bugzilla.kernel.org/show_bug.cgi?id=107301

Probable fix:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=be0726d33cb8f411945884664924bed3cb8c70ee

Comment 2 Wade Mealing 2016-07-28 06:27:34 UTC
Acknowledgements:

Red Hat would like to thank Laurent Guerby for bringing this to our attention.

Comment 3 Wade Mealing 2016-08-18 03:09:32 UTC
Statement:

This issue does not affect any shiping version of Red Hat Enterprise Linux.

Comment 4 Prasad J Pandit 2016-08-22 06:35:33 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1368919]

Comment 6 Andrej Nemec 2016-08-26 08:00:13 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q3/378


Note You need to log in before you can comment on or make changes to this bug.